Bug 820961 - [virt-viewer]unclear error msg when not specifies ca file location
[virt-viewer]unclear error msg when not specifies ca file location
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-viewer (Show other bugs)
6.3
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 08:44 EDT by zhe peng
Modified: 2012-07-26 13:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 13:40:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
script to config spice tls on host (1.54 KB, text/plain)
2012-05-11 08:45 EDT, zhe peng
no flags Details

  None (edit)
Description zhe peng 2012-05-11 08:44:51 EDT
Description of problem:
unclear error msg when not specifies ca file location

Version-Release number of selected component (if applicable):
virt-viewer-0.5.2-8.el6.x86_64
qemu-kvm-0.12.1.2-2.290.el6.x86_64
libvirt-0.9.10-18.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1.create a guest with spice graphics
2.modify the followings in /etc/libvirt/qemu.conf
   -# spice_listen = "0.0.0.0"
   + spice_listen = "0.0.0.0"

   -# spice_tls = 1
   + spice_tls = 1

   -# spice_tls_x509_cert_dir = "/etc/pki/libvirt-spice"
   + spice_tls_x509_cert_dir = "/etc/pki/libvirt-spice"
3.config tls ,generate cert file and copy to /etc/pki/libvirt-spice
  (script please see attachment)
4:edit guest xml:
  <graphics type='spice' port='5903' tlsPort='5904' autoport='no' listen='0.0.0.0'>
      <listen type='address' address='0.0.0.0'/>
    </graphics>
5:use virt-viewer to connect the guest without specifies ca file

#virt-viewer rhel6.3 --spice-host-subject="C=IL,L=Raanana,O=Red Hat,CN=my server"

Actual results:
the error msg from console:
(virt-viewer:27127): GSpice-WARNING **: loading ca certs from /root/.spicec/spice_truststore.pem failed

Expected results:
from libvirt, the spice tls default certificates directory is /etc/pki/libvirt-spice, the error msg will confuse the end user.

Additional info:
spice-client can't installed on host.
Comment 1 zhe peng 2012-05-11 08:45:28 EDT
Created attachment 583831 [details]
script to config spice tls on host
Comment 4 RHEL Product and Program Management 2012-07-10 02:05:37 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2012-07-10 22:01:37 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 6 Daniel Berrange 2012-07-26 13:40:34 EDT
This is a user misunderstanding IMHO. The /etc/libvirt/qemu.conf file is a configuration file for the libvirtd *server*, which is completely unrelated to the virt-viewer *client*  application. The virt-viewer client has no knowledge of how servers are configured.

Note You need to log in before you can comment on or make changes to this bug.